Worker (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.worker
Class Worker<T extends TransferHandler>

    java.lang.Object
      org.gcube.datatransfer.agent.impl.worker.Worker<T>

All Implemented Interfaces:
  Serializable, Callable

Direct Known Subclasses:
  ASyncWorker, SyncWorker

    public abstract class Worker<T extends TransferHandler>

extends Object
implements Callable, Serializable

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Field Summary
`protected org.gcube.datatransfer.agent.stubs.datatransferagent.DestData` | `destParameters`
`protected ArrayList<T>` | `list`
`protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`
`protected org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData` | `sourceParameters`
`protected FutureTask<Worker>` | `task`
`protected int` | `timeout`
`protected String` | `transferId`
`protected static org.apache.axis.components.uuid.UUIDGen` | `uuidgen` The UUIDGen

Constructor Summary
`Worker()`

Method Summary
`protected AgentResource` | `getResource()`
`FutureTask<Worker>` | `getTask()`
`void` | `setTask(FutureTask<Worker> task)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.concurrent.Callable
`call`

Field Detail

### list

    protected ArrayList<T extends TransferHandler> list

### uuidgen

    protected static final org.apache.axis.components.uuid.UUIDGen uuidgen

  The UUIDGen

### logger

    protected org.gcube.common.core.utils.logging.GCUBELog logger

### sourceParameters

    protected org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData sourceParameters

### destParameters

    protected org.gcube.datatransfer.agent.stubs.datatransferagent.DestData destParameters

### timeout

    protected int timeout

### transferId

    protected String transferId

### task

    protected FutureTask<Worker> task

Constructor Detail

### Worker

    public Worker()

Method Detail

### getResource

    protected AgentResource getResource()
                                 throws Exception

  Throws:
    `Exception`

### getTask

    public FutureTask<Worker> getTask()

### setTask

    public void setTask(FutureTask<Worker> task)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.